POST /lists/price-lists
POST/lists/price-lists
POST /lists/price-lists
Request
- application/json-patch+json
- application/json
- text/json
- application/*+json
Body
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
Body
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
Body
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
Body
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
{
"id": 0,
"code": "string",
"name": "string",
"name_loc": "string",
"type": "string",
"tax_nexus": "string",
"currency": "string",
"country": "string",
"rate_format": "string",
"contact": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"type": "COM",
"display_name": "string",
"business_name": "string",
"reg_no": "string",
"tax_no": "string",
"social_security_no": "string",
"currency": "string",
"payment_term": 0,
"email": "string",
"preferred_locale": "string",
"shopify_customer_id": 0,
"stripe_customer_id": "string",
"woocommerce_customer_id": 0,
"eshop_customer_id": 0,
"billing_address": {
"id": 0,
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"country": "string",
"region": "string",
"subregion": "string"
},
"shipping_address": {
"id": 0,
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"country": "string",
"region": "string",
"subregion": "string"
},
"taxes": [
{
"country": "string",
"vat_no": "string"
}
]
},
"items": [
{
"id": 0,
"item": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "string",
"name": "string",
"barcode": "string",
"country_of_origin": "string",
"harmonized_system_code": "string",
"weight_grams": 0,
"rate": 0,
"has_batches": true,
"has_serial_no": true,
"requires_shipping": true,
"shopify_product_id": 0,
"woocommerce_product_id": 0,
"eshop_product_id": 0,
"stock_unit": {
"id": 0,
"symbol": "string",
"unece_code": "string",
"iso_code": "string",
"name": "string"
},
"l10n": [
{
"id": 0,
"culture": "string",
"name": "string",
"description": "string"
}
],
"variants": [
{
"id": 0,
"order": 0,
"sku": "string",
"barcode": "string",
"country_of_origin": "string",
"harmonized_system_code": "string",
"weight_grams": 0,
"dimension1": "string",
"dimension2": "string",
"dimension3": "string",
"dimension4": "string",
"dimension5": "string",
"shopify_variant_id": 0,
"woocommerce_variant_id": 0,
"eshop_variant_id": 0
}
],
"dimensions": [
{
"order": 0,
"name": "string",
"values": [
"string"
]
}
],
"taxes": [
{
"tax_index": 0,
"tax_rate": 0
}
]
},
"unit": {
"unece_code": "string",
"id": 0,
"symbol": "string",
"name": "string",
"iso_code": "string"
},
"rate": 0,
"qty_from": 0,
"qty_to": 0,
"stock_unit_rate": 0,
"order": 0
}
],
"l10n": [
{
"id": 0,
"culture": "string",
"name": "string",
"description": "string"
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
{
"id": 0,
"code": "string",
"name": "string",
"name_loc": "string",
"type": "string",
"tax_nexus": "string",
"currency": "string",
"country": "string",
"rate_format": "string",
"contact": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"type": "COM",
"display_name": "string",
"business_name": "string",
"reg_no": "string",
"tax_no": "string",
"social_security_no": "string",
"currency": "string",
"payment_term": 0,
"email": "string",
"preferred_locale": "string",
"shopify_customer_id": 0,
"stripe_customer_id": "string",
"woocommerce_customer_id": 0,
"eshop_customer_id": 0,
"billing_address": {
"id": 0,
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"country": "string",
"region": "string",
"subregion": "string"
},
"shipping_address": {
"id": 0,
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"country": "string",
"region": "string",
"subregion": "string"
},
"taxes": [
{
"country": "string",
"vat_no": "string"
}
]
},
"items": [
{
"id": 0,
"item": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "string",
"name": "string",
"barcode": "string",
"country_of_origin": "string",
"harmonized_system_code": "string",
"weight_grams": 0,
"rate": 0,
"has_batches": true,
"has_serial_no": true,
"requires_shipping": true,
"shopify_product_id": 0,
"woocommerce_product_id": 0,
"eshop_product_id": 0,
"stock_unit": {
"id": 0,
"symbol": "string",
"unece_code": "string",
"iso_code": "string",
"name": "string"
},
"l10n": [
{
"id": 0,
"culture": "string",
"name": "string",
"description": "string"
}
],
"variants": [
{
"id": 0,
"order": 0,
"sku": "string",
"barcode": "string",
"country_of_origin": "string",
"harmonized_system_code": "string",
"weight_grams": 0,
"dimension1": "string",
"dimension2": "string",
"dimension3": "string",
"dimension4": "string",
"dimension5": "string",
"shopify_variant_id": 0,
"woocommerce_variant_id": 0,
"eshop_variant_id": 0
}
],
"dimensions": [
{
"order": 0,
"name": "string",
"values": [
"string"
]
}
],
"taxes": [
{
"tax_index": 0,
"tax_rate": 0
}
]
},
"unit": {
"unece_code": "string",
"id": 0,
"symbol": "string",
"name": "string",
"iso_code": "string"
},
"rate": 0,
"qty_from": 0,
"qty_to": 0,
"stock_unit_rate": 0,
"order": 0
}
],
"l10n": [
{
"id": 0,
"culture": "string",
"name": "string",
"description": "string"
}
]
}
- Schema
- Example (from schema)
Schema
Array [
]
Array [
Array [
]
Array [
]
Array [
]
Array [
]
]
Array [
]
Possible values: non-empty
Possible values: non-empty
Possible values: non-empty
contact
object
Possible values: non-empty
Default value: COM
Possible values: non-empty
Possible values: non-empty
billing_address
object
shipping_address
object
taxes
object[]
nullable
items
object[]
nullable
item
object
stock_unit
object
l10n
object[]
nullable
variants
object[]
nullable
dimensions
object[]
nullable
taxes
object[]
nullable
unit
object
l10n
object[]
nullable
{
"id": 0,
"code": "string",
"name": "string",
"name_loc": "string",
"type": "string",
"tax_nexus": "string",
"currency": "string",
"country": "string",
"rate_format": "string",
"contact": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2024-07-29T15:51:28.071Z",
"type": "COM",
"display_name": "string",
"business_name": "string",
"reg_no": "string",
"tax_no": "string",
"social_security_no": "string",
"currency": "string",
"payment_term": 0,
"email": "string",
"preferred_locale": "string",
"shopify_customer_id": 0,
"stripe_customer_id": "string",
"woocommerce_customer_id": 0,
"eshop_customer_id": 0,
"billing_address": {
"id": 0,
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"country": "string",
"region": "string",
"subregion": "string"
},
"shipping_address": {
"id": 0,
"address1": "string",
"address2": "string",
"postal_code": "string",
"city": "string",
"country": "string",
"region": "string",
"subregion": "string"
},
"taxes": [
{
"country": "string",
"vat_no": "string"
}
]
},
"items": [
{
"id": 0,
"item": {
"id": 0,
"uid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"sku": "string",
"name": "string",
"barcode": "string",
"country_of_origin": "string",
"harmonized_system_code": "string",
"weight_grams": 0,
"rate": 0,
"has_batches": true,
"has_serial_no": true,
"requires_shipping": true,
"shopify_product_id": 0,
"woocommerce_product_id": 0,
"eshop_product_id": 0,
"stock_unit": {
"id": 0,
"symbol": "string",
"unece_code": "string",
"iso_code": "string",
"name": "string"
},
"l10n": [
{
"id": 0,
"culture": "string",
"name": "string",
"description": "string"
}
],
"variants": [
{
"id": 0,
"order": 0,
"sku": "string",
"barcode": "string",
"country_of_origin": "string",
"harmonized_system_code": "string",
"weight_grams": 0,
"dimension1": "string",
"dimension2": "string",
"dimension3": "string",
"dimension4": "string",
"dimension5": "string",
"shopify_variant_id": 0,
"woocommerce_variant_id": 0,
"eshop_variant_id": 0
}
],
"dimensions": [
{
"order": 0,
"name": "string",
"values": [
"string"
]
}
],
"taxes": [
{
"tax_index": 0,
"tax_rate": 0
}
]
},
"unit": {
"unece_code": "string",
"id": 0,
"symbol": "string",
"name": "string",
"iso_code": "string"
},
"rate": 0,
"qty_from": 0,
"qty_to": 0,
"stock_unit_rate": 0,
"order": 0
}
],
"l10n": [
{
"id": 0,
"culture": "string",
"name": "string",
"description": "string"
}
]
}